Set default template

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
POST /public/v1/{type}/default

Headers

  • X-COMPANY-ID string(uuid) Required

Path parameters

  • type string Required

    Values are WORKSPACE or DASHBOARD.

application/json

Body Required

  • templateId string

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • id string
    • name string
    • configuration string
    • createdDate string(date-time)
    • companyDefault boolean
    • owner boolean
    • public boolean
POST /public/v1/{type}/default
curl \
 --request POST 'https://live.smartpmtech.com/public/v1/{type}/default' \
 --header "X-API-KEY: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "X-COMPANY-ID: string" \
 --data '{
  "templateId": "string"
}'
Request examples
# Headers
X-COMPANY-ID: string

# Payload
{
  "templateId": "string"
}
Response examples (200)
{
  "id": "string",
  "name": "string",
  "configuration": "string",
  "createdDate": "2026-05-04T09:42:00Z",
  "companyDefault": true,
  "owner": true,
  "public": true
}